Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for LevyEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class LevyEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void LevyEvaluateFunctionTest() {
       LevyEvaluator_Accessor target = new LevyEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for MatyasEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class MatyasEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void MatyasEvaluateFunctionTest() {
       MatyasEvaluator_Accessor target = new MatyasEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for RastriginEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class RastriginEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void RastriginEvaluateFunctionTest() {
       RastriginEvaluator_Accessor target = new RastriginEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for RosenbrockEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class RosenbrockEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void RosenbrockEvaluateFunctionTest() {
       RosenbrockEvaluator_Accessor target = new RosenbrockEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for SphereEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class SphereEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void SphereEvaluateFunctionTest() {
       SphereEvaluator_Accessor target = new SphereEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for SumSquaresEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class SumSquaresEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void SumSquaresEvaluateFunctionTest() {
       SumSquaresEvaluator_Accessor target = new SumSquaresEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9885)
@@ -21,10 +21,7 @@
 
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TestFunctions_33.Tests {
-
-
+namespace HeuristicLab.Problems.TestFunctions.Tests {
   /// <summary>
   ///This is a test class for ZakharovEvaluatorTest and is intended
@@ -33,56 +30,10 @@
   [TestClass()]
   public class ZakharovEvaluatorTest {
-
-
-    private TestContext testContextInstance;
-
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get {
-        return testContextInstance;
-      }
-      set {
-        testContextInstance = value;
-      }
-    }
-
-    #region Additional test attributes
-    // 
-    //You can use the following additional attributes as you write your tests:
-    //
-    //Use ClassInitialize to run code before running the first test in the class
-    //[ClassInitialize()]
-    //public static void MyClassInitialize(TestContext testContext)
-    //{
-    //}
-    //
-    //Use ClassCleanup to run code after all tests in a class have run
-    //[ClassCleanup()]
-    //public static void MyClassCleanup()
-    //{
-    //}
-    //
-    //Use TestInitialize to run code before running each test
-    //[TestInitialize()]
-    //public void MyTestInitialize()
-    //{
-    //}
-    //
-    //Use TestCleanup to run code after each test has run
-    //[TestCleanup()]
-    //public void MyTestCleanup()
-    //{
-    //}
-    //
-    #endregion
-
     /// <summary>
     ///A test for EvaluateFunction
     ///</summary>
-    [TestMethod()]
-    [DeploymentItem("HeuristicLab.Problems.TestFunctions-3.3.dll")]
+    [TestMethod]
+    [TestCategory("Problems.TestFunctions")]
+    [TestProperty("Time", "short")]
     public void ZakharovEvaluateFunctionTest() {
       ZakharovEvaluator_Accessor target = new ZakharovEvaluator_Accessor();
Index: /stable/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs
===================================================================
--- /stable/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9884)
+++ /stable/HeuristicLab.Tests/HeuristicLab.Problems.TravelingSalesman-3.3/TSPMoveEvaluatorTest.cs	(revision 9885)
@@ -24,10 +24,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Problems.TravelingSalesman;
 using HeuristicLab.Random;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
-namespace HeuristicLab.Problems.TravelingSalesman_33.Tests {
-
+namespace HeuristicLab.Problems.TravelingSalesman.Tests {
   /// <summary>
   ///This is a test class for TSP move evaluators
@@ -40,14 +38,4 @@
     private static Permutation tour;
     private static MersenneTwister random;
-
-    private TestContext testContextInstance;
-    /// <summary>
-    ///Gets or sets the test context which provides
-    ///information about and functionality for the current test run.
-    ///</summary>
-    public TestContext TestContext {
-      get { return testContextInstance; }
-      set { testContextInstance = value; }
-    }
 
     [ClassInitialize]
@@ -70,4 +58,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.TravelingSalesman")]
+    [TestProperty("Time", "short")]
     public void InversionMoveEvaluatorTest() {
       var evaluator = new TSPRoundedEuclideanPathEvaluator();
@@ -101,4 +91,6 @@
 
     [TestMethod]
+    [TestCategory("Problems.TravelingSalesman")]
+    [TestProperty("Time", "short")]
     public void TranslocationMoveEvaluatorTest() {
       var evaluator = new TSPRoundedEuclideanPathEvaluator();
